<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Modal example | bas man developer</title>
    <link rel="stylesheet" href="styles.css">
    <script src="script.js" defer></script>
</head>
<body>
    <main>
<div class="content">
    <button data-modal-target="#modal">Open modal</button>
    <div class="modal" id="modal">
        <div class="modal-header">
            <h2 class="title">Interesting Content</h2>
            <button data-close-button class="close-button" tabindex="0">&times;</button>
        </div>
        <div class="modal-body">Lorem ipsum, dolor sit amet consectetur adipisicing elit. 
            Eaque numquam distinctio sunt perspiciatis explicabo laborum, vitae eius dolor 
            voluptates modi excepturi? Ab cumque laborum quo explicabo,
             tempore necessitatibus vel dolore voluptate hic nobis autem voluptatem maiores 
             reprehenderit, quisquam ipsum omnis ea. Enim voluptates cumque laborum molestiae 
             impedit ratione explicabo eveniet, perferendis alias odio cum id doloremque officia 
             aliquid ad velit beatae perspiciatis iusto minima. Vero non error fuga fugit 
             ad reprehenderit deserunt quidem animi?
             Enim, perspiciatis. Cupiditate odio quaerat atque.</div>
    </div>
</div>
<div id="overlay"></div>
    </main>
</body>
</html>